Subject: RE: [SIP] Early media

From: "Mark Watson" <[email-masked]>
Date: Tue, 27 Feb 2001 13:10:23 -0000

Hi,
 
Perhaps I'm missing something. The notes seemed to indicate that SDP SHOULD
NOT be sent backwards before the 200 OK, but you are indicating that the
ability to have *backwards* media path is still available before the 200 OK.
 
I know that in many scenarios, the backwards SDP is not required in order to
allow backwards media, but we are surely not making this a blanket
assumption ? What about when there is QoS reservation going on, does the
manyfolks mechanism provide a way of sending the SDP backwards which is not
subject to the SHOULD NOT discussed at the meeting ?
 
Apologies if I've just misunderstood ?
 
Regards,
 
Mark

-----Original Message-----
From: Dean Willis [mailto:[email-masked]]
Sent: 16 February 2001 17:11
To: Watson, Mark [MAIFP:EP11-M:EXCH]; sip
Subject: Re: [SIP] Early media

Gee, I HOPE not.
 
Real world scenarios -- my office uses only SIP phones with a PSTN gateway
for outside communications. The first "hello" is almost universally clipped.
Most annoying.
 
My recollection of recent discussion of basic call flows (no special "early
media") is that the UAC SHOULD be ready to receive media at the time the
INVITE is transmitted. It SHOULD not send media until after it has sent ACK
in response to a 200 OK.
 
--
Dean

----- Original Message ----- 
From: Mark Watson <mailto:[email-masked]>  
To: sip <mailto:[email-masked]>  
Sent: Friday, February 16, 2001 9:57 AM
Subject: [SIP] Early media

All, 

The notes from the meeting earlier this month seem to indicate an agreement
to deprecate early media i.e. to include a SHOULD NOT in respect of media
before the 200 OK of the INVITE.

Is this a correct understanding of what was agreed ? 

I seem to remember this issue being discussed extensively on this list late
last year and there were strong feelings expressed against changing the
semantics of the 200 response to the INVITE. Presently it corresponds to
called party answer, but the change above would alter this.

Was a solution to these concerns also identified at the meeting ? 

Does this deprecation apply to the setting up of the media path before 200
OK for QoS assurance, or just when the intention is to play the backwards
media to the caller ?

Regards, 

Mark Watson 
Nortel Networks 

> -----Original Message----- 
> From: Kevin Summers [ mailto:[email-masked]
<mailto:[email-masked]> ] 
> Sent: 16 February 2001 14:45 
> To: Jacco de Kraker (ELN); sip 
> Subject: RE: [SIP] transcripts interim meeting? (esp. REFER issue) 
> 
> 
> 
> http://www.softarmor.com/sipwg/meets/interim-feb-01/index.html
<http://www.softarmor.com/sipwg/meets/interim-feb-01/index.html>  
> 
> -----Original Message----- 
> From: Jacco de Kraker (ELN) [ mailto:[email-masked]
<mailto:[email-masked]> ] 
> Sent: Friday, February 16, 2001 8:32 AM 
> To: [email-masked]' 
> Subject: [SIP] transcripts interim meeting? (esp. REFER issue) 
> 
> 
> Hi all, 
> 
> Are any transcripts of the interim meeting of last week available 
> somewhere on the Internet? I assumed some of the discussed issues 
> would show up on this list, but I haven't seen anything about it. 
> I'm especially interested in any decisions/clarifications/new problems 
> related to the REFER issue. 
> 
> If anybody knows where I can find transcripts of the 8-9 February 
> meeting, please tell the list. I'm sure I'm not the only one 
> interested. 
> 
> Regards, 
> 
> /Jacco 
> 
> _______________________________________________ 
> This list is for continuing development of the SIP protocol. 
> The sip-implementer's list is the place to discuss implementation, 
> and to receive advice on understanding existing sip. 
> To subscribe to it, send mail to [email-masked] with 
> "subscribe sip-implementors" in the body. 
> 
> _______________________________________________ 
> This list is for continuing development of the SIP protocol. 
> The sip-implementer's list is the place to discuss implementation, 
> and to receive advice on understanding existing sip. 
> To subscribe to it, send mail to [email-masked] with 
> "subscribe sip-implementors" in the body. 
>